Merge "Update documentation about disabling selinux"
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>
Mon, 12 Sep 2016 09:42:53 +0000 (09:42 +0000)
committerGerrit Code Review <gerrit@172.30.200.206>
Mon, 12 Sep 2016 09:42:53 +0000 (09:42 +0000)
25 files changed:
jjb/apex/apex-deploy.sh
jjb/apex/apex.yml
jjb/armband/armband-ci-jobs.yml
jjb/armband/armband-deploy.sh
jjb/doctor/doctor.yml
jjb/fuel/fuel-deploy.sh
jjb/functest/functest-ci-jobs.yml
jjb/functest/set-functest-env.sh
jjb/infra/infra-daily-jobs.yml
jjb/infra/openstack-bifrost-verify-jobs.yml [new file with mode: 0644]
jjb/infra/openstack-bifrost-verify.sh [new file with mode: 0755]
jjb/kvmfornfv/kvmfornfv-download-artifact.sh
jjb/kvmfornfv/kvmfornfv-test.sh
jjb/kvmfornfv/kvmfornfv.yml
jjb/opnfv/slave-params.yml
prototypes/bifrost/playbooks/test-bifrost-infracloud.yaml
prototypes/bifrost/scripts/destroy-env.sh
prototypes/bifrost/scripts/test-bifrost-deployment.sh
utils/test/reporting/functest/reporting-status.py
utils/test/reporting/functest/reporting-tempest.py
utils/test/reporting/functest/reporting-vims.py
utils/test/reporting/functest/reportingConf.py
utils/test/reporting/functest/reportingUtils.py
utils/test/reporting/yardstick/reporting-status.py
utils/test/reporting/yardstick/reportingConf.py

index 4fd7b00..72fa6f6 100755 (executable)
@@ -54,8 +54,8 @@ else
       fi
       # source the file so we get OPNFV vars
       source opnfv.properties
-      RPM_INSTALL_PATH=$(echo $OPNFV_RPM_URL | sed 's/'"$(basename $OPNFV_RPM_URL)"'//')
-      RPM_LIST=$RPM_INSTALL_PATH/$(basename $OPNFV_RPM_URL)
+      RPM_INSTALL_PATH=$(echo "http://"$OPNFV_RPM_URL | sed 's/\/'"$(basename $OPNFV_RPM_URL)"'//')
+      RPM_LIST=${RPM_INSTALL_PATH}/$(basename $OPNFV_RPM_URL)
     fi
 fi
 
index 8a5a82f..89965d7 100644 (file)
               OPNFV_CLEAN=yes
             git-revision: false
             block: true
+            same-node: true
         - trigger-builds:
           - project: 'cperf-apex-intel-pod2-daily-{stream}'
             predefined-parameters:
index f100a46..2598732 100644 (file)
@@ -90,7 +90,7 @@
     properties:
         - throttle:
             enabled: true
-            max-total: 1
+            max-total: 4
             max-per-node: 1
             option: 'project'
         - build-blocker:
 - job-template:
     name: '{installer}-deploy-{pod}-daily-{stream}'
 
-    concurrent: false
+    concurrent: true
 
     properties:
         - throttle:
             enabled: true
-            max-total: 1
+            max-total: 4
             max-per-node: 1
             option: 'project'
         - build-blocker:
index fb4c1ea..4041a6b 100755 (executable)
@@ -62,8 +62,13 @@ fi
 # releng wants us to use nothing else but opnfv.iso for now. We comply.
 ISO_FILE=$WORKSPACE/opnfv.iso
 
+# log file name
+FUEL_LOG_FILENAME="${JOB_NAME}_${BUILD_NUMBER}.log.tar.gz"
+
 # construct the command
-DEPLOY_COMMAND="$WORKSPACE/ci/deploy.sh -l $LAB_NAME -p $POD_NAME -b ${LAB_CONFIG_URL} -s $DEPLOY_SCENARIO -i file://${ISO_FILE} -H -B ${DEFAULT_BRIDGE:-pxebr} -S $TMPDIR"
+DEPLOY_COMMAND="$WORKSPACE/ci/deploy.sh -b ${LAB_CONFIG_URL} \
+    -l $LAB_NAME -p $POD_NAME -s $DEPLOY_SCENARIO -i file://${ISO_FILE} \
+    -H -B ${DEFAULT_BRIDGE:-pxebr} -S $TMPDIR -L $WORKSPACE/$FUEL_LOG_FILENAME"
 
 # log info to console
 echo "Deployment parameters"
@@ -83,7 +88,23 @@ echo "$DEPLOY_COMMAND"
 echo
 
 $DEPLOY_COMMAND
+exit_code=$?
 
 echo
 echo "--------------------------------------------------------"
-echo "Deployment is done successfully!"
+echo "Deployment is done!"
+
+# upload logs for baremetal deployments
+# work with virtual deployments is still going on so we skip that for the timebeing
+if [[ "$JOB_NAME" =~ "baremetal-daily" ]]; then
+    echo "Uploading deployment logs"
+    gsutil cp $WORKSPACE/$FUEL_LOG_FILENAME gs://$GS_URL/logs/$FUEL_LOG_FILENAME > /dev/null 2>&1
+    echo "Logs are available as http://$GS_URL/logs/$FUEL_LOG_FILENAME"
+fi
+
+if [[ $exit_code -ne 0 ]]; then
+    echo "Deployment failed!"
+    exit $exit_code
+else
+    echo "Deployment is successful!"
+fi
index 3b407ef..ead6c00 100644 (file)
@@ -3,19 +3,30 @@
 
     project: '{name}'
 
-    jobs:
-        - 'doctor-verify-{stream}'
-
     stream:
         - master:
             branch: '{stream}'
             gs-pathname: ''
+            docker_tag: 'master'
             disabled: false
         - colorado:
             branch: 'stable/{stream}'
             gs-pathname: '/{stream}'
+            docker_tag: 'stable'
             disabled: false
 
+    installer:
+        - apex:
+            slave-label: 'ool-virtual1'
+
+    inspector:
+        - sample
+        - congress
+
+    jobs:
+        - 'doctor-verify-{stream}'
+        - 'doctor-verify-{installer}-{inspector}-{stream}'
+
 - job-template:
     name: 'doctor-verify-{stream}'
 
 
     builders:
         - shell: "[ -e tests/run.sh ] && bash -n ./tests/run.sh"
+
+- job-template:
+    name: 'doctor-verify-{installer}-{inspector}-{stream}'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+        - string:
+            name: INSPECTOR_TYPE
+            default: '{inspector}'
+            description: 'Doctor inspector type to be used'
+        - string:
+            name: INSTALLER_TYPE
+            default: apex
+            description: 'OPNFV Installer type'
+        - string:
+            name: OS_CREDS
+            default: /home/jenkins/openstack.creds
+            description: 'OpenStack credentials'
+        - '{installer}-defaults'
+        - '{slave-label}-defaults'
+        - 'functest-suite-parameter'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: 'os-odl_l2-nofeature-ha'
+        - string:
+            name: DOCKER_TAG
+            default: '{docker_tag}'
+            description: 'Tag to pull docker image'
+        - functest-parameter:
+            gs-pathname: '{gs-pathname}'
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: '$GERRIT_REFSPEC'
+            choosing-strategy: 'gerrit'
+
+    triggers:
+        - gerrit:
+            trigger-on:
+                - patchset-created-event:
+                    exclude-drafts: 'false'
+                    exclude-trivial-rebase: 'false'
+                    exclude-no-code-change: 'false'
+                - draft-published-event
+                - comment-added-contains-event:
+                    comment-contains-value: 'recheck'
+                - comment-added-contains-event:
+                    comment-contains-value: 'reverify'
+            projects:
+              - project-compare-type: 'ANT'
+                project-pattern: '{project}'
+                branches:
+                  - branch-compare-type: 'ANT'
+                    branch-pattern: '**/{branch}'
+                file-paths:
+                  - compare-type: ANT
+                    pattern: 'tests/**'
+
+    builders:
+        - 'functest-suite-builder':
+            TESTCASE_OPTIONS: '-e INSPECTOR_TYPE=$INSPECTOR_TYPE -v $WORKSPACE:$HOME/opnfv/repos/doctor'
index 136aac8..2104d90 100755 (executable)
@@ -143,14 +143,17 @@ expect {
 expect "# "
 send "/usr/bin/ssh -l root $::env(CONTROLLER_NODE_IP)\r"
 expect "# "
+send "PS1=\"tacker_poc> \"\r"
+expect -re {tacker_poc> $}
 send "sudo apt-get install -y git\r"
-expect "# "
+expect -re {tacker_poc> $}
+sleep 10
 send "/bin/mkdir -p /root/sfc-poc && cd /root/sfc-poc\r"
-expect "# "
+expect -re {tacker_poc> $}
 send "git clone https://gerrit.opnfv.org/gerrit/fuel && cd fuel\r"
-expect "# "
+expect -re {tacker_poc> $}
 send "/bin/bash /root/sfc-poc/fuel/prototypes/sfc_tacker/poc.tacker-up.sh\r"
-expect "# "
+expect -re {tacker_poc> $}
 send "exit\r"
 expect "Connection to $::env(CONTROLLER_NODE_IP) closed. "
 send "exit\r"
index 0f0caba..7120790 100644 (file)
                 - 'vims'
                 - 'multisite'
                 - 'parser'
+        - string:
+            name: TESTCASE_OPTIONS
+            default: ''
+            description: 'Addtional parameters specific to test case(s)'
 - parameter:
     name: functest-parameter
     parameters:
index b7d745a..1c77702 100755 (executable)
@@ -59,7 +59,9 @@ test -f ${HOME}/opnfv/functest/custom/params_${DOCKER_TAG} && custom_params=$(ca
 echo "Functest: Pulling image opnfv/functest:${DOCKER_TAG}"
 docker pull opnfv/functest:$DOCKER_TAG >/dev/null
 
-cmd="sudo docker run --privileged=true -id ${envs} ${labconfig} ${sshkey} ${res_volume} ${custom_params} ${stackrc} opnfv/functest:${DOCKER_TAG} /bin/bash"
+cmd="sudo docker run --privileged=true -id ${envs} ${labconfig} ${sshkey} \
+     ${res_volume} ${custom_params} ${stackrc} ${TESTCASE_OPTIONS} \
+     opnfv/functest:${DOCKER_TAG} /bin/bash"
 echo "Functest: Running docker run command: ${cmd}"
 ${cmd} >${redirect}
 sleep 5
index a066e7d..df90c6d 100644 (file)
@@ -16,7 +16,7 @@
 #--------------------------------
     pod:
         - virtual:
-            slave-label: infra-virtual
+            slave-label: infra-virtual-trusty
             <<: *master
 #--------------------------------
 #       phases
diff --git a/jjb/infra/openstack-bifrost-verify-jobs.yml b/jjb/infra/openstack-bifrost-verify-jobs.yml
new file mode 100644 (file)
index 0000000..8afe47c
--- /dev/null
@@ -0,0 +1,111 @@
+- project:
+    name: 'openstack-bifrost-verify'
+
+    project: 'releng'
+#--------------------------------
+# branches
+#--------------------------------
+    stream:
+        - master:
+            branch: '{stream}'
+#--------------------------------
+# distros
+# jobs for centos7 and suse can be enabled once the support is there
+#--------------------------------
+    distro:
+        - 'trusty':
+            slave-label: infra-virtual-trusty
+            disabled: false
+        - 'centos7':
+            slave-label: infra-virtual-trusty
+            disabled: true
+        - 'suse':
+            slave-label: infra-virtual-trusty
+            disabled: true
+#--------------------------------
+# jobs
+#--------------------------------
+    jobs:
+        - 'openstack-bifrost-verify-{distro}-{stream}'
+#--------------------------------
+# job templates
+#--------------------------------
+- job-template:
+    name: 'openstack-bifrost-verify-{distro}-{stream}'
+
+    concurrent: false
+
+    disabled: '{obj:disabled}'
+
+    properties:
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'infra-os-.*?-daily-.*'
+            block-level: 'NODE'
+
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - string:
+            name: DISTRO
+            default: '{distro}'
+        - string:
+            name: CLEAN_DIB_IMAGES
+            default: 'true'
+        - '{slave-label}-defaults'
+
+    scm:
+        - git-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            branch: '{branch}'
+
+    triggers:
+        - gerrit:
+            server-name: 'review.openstack.org'
+            silent-start: true
+            skip-vote:
+                successful: true
+                failed: true
+                unstable: true
+                notbuilt: true
+            escape-quotes: true
+            trigger-on:
+                - patchset-created-event:
+                    exclude-drafts: 'false'
+                    exclude-trivial-rebase: 'false'
+                    exclude-no-code-change: 'false'
+                - comment-added-contains-event:
+                    comment-contains-value: 'recheck'
+            projects:
+              - project-compare-type: 'PLAIN'
+                project-pattern: 'openstack/bifrost'
+                branches:
+                  - branch-compare-type: 'ANT'
+                    branch-pattern: '**/master'
+                forbidden-file-paths:
+                  - compare-type: ANT
+                    pattern: 'doc/**'
+                  - compare-type: ANT
+                    pattern: 'releasenotes/**'
+            readable-message: true
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - 'openstack-bifrost-verify-builder'
+
+    publishers:
+        - email:
+            recipients: fatih.degirmenci@ericsson.com yroblamo@redhat.com mchandras@suse.de jack.morgan@intel.com zhang.jun3g@zte.com.cn
+#####################################
+# builder macros
+#####################################
+- builder:
+    name: 'openstack-bifrost-verify-builder'
+    builders:
+        - shell: |
+            #!/bin/bash
+
+            sudo -E $WORKSPACE/jjb/infra/openstack-bifrost-verify.sh
diff --git a/jjb/infra/openstack-bifrost-verify.sh b/jjb/infra/openstack-bifrost-verify.sh
new file mode 100755 (executable)
index 0000000..a4653f9
--- /dev/null
@@ -0,0 +1,52 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# check distro to see if we support it
+# we will have centos and suse supported in future
+case "$DISTRO" in
+    trusty)
+        #start the test
+        echo "Starting provisioning of 3 VMs"
+        ;;
+    *)
+        echo "Distro $DISTRO is not supported!"
+        exit 1
+esac
+
+# remove previously cloned repos
+/bin/rm -rf /opt/bifrost /opt/puppet-infracloud /opt/releng
+
+# clone upstream bifrost repo and checkout the patch to verify
+git clone https://git.openstack.org/openstack/bifrost /opt/bifrost
+cd /opt/bifrost
+git fetch https://git.openstack.org/openstack/bifrost $GERRIT_REFSPEC && git checkout FETCH_HEAD
+
+# clone puppet-infracloud
+git clone https://git.openstack.org/openstack-infra/puppet-infracloud /opt/puppet-infracloud
+
+# combine opnfv and upstream scripts/playbooks
+cp -R $WORKSPACE/prototypes/bifrost/* /opt/bifrost/
+
+# cleanup remnants of previous deployment
+cd /opt/bifrost
+./scripts/destroy-env.sh
+
+# provision 3 VMs; jumphost, controller, and compute
+cd /opt/bifrost
+./scripts/test-bifrost-deployment.sh
+
+# list the provisioned VMs
+cd /opt/bifrost
+source env-vars
+ironic node-list
+virsh list
index 1f99f17..c8bdb9c 100755 (executable)
@@ -16,6 +16,12 @@ case "$JOB_TYPE" in
         echo "Downloading artifacts for the change $GERRIT_CHANGE_NUMBER. This could take some time..."
         GS_UPLOAD_LOCATION="gs://artifacts.opnfv.org/$PROJECT/review/$GERRIT_CHANGE_NUMBER"
         ;;
+    daily)
+        gsutil cp gs://$GS_URL/latest.properties $WORKSPACE/latest.properties
+        source $WORKSPACE/latest.properties
+        GS_UPLOAD_LOCATION=$OPNFV_ARTIFACT_URL
+        echo "Downloading artifacts from $GS_UPLOAD_LOCATION for daily run. This could take some time..."
+        ;;
     *)
         echo "Artifact download is not enabled for $JOB_TYPE jobs"
         exit 1
index 868de13..06377ac 100755 (executable)
@@ -3,8 +3,24 @@
 ##This script includes executing cyclictest scripts.
 ##########################################################
 #The latest build packages are stored in build_output
+
 ls -al $WORKSPACE/build_output
 
-#start the test
-cd $WORKSPACE
-./ci/test_kvmfornfv.sh
+if [[ "$JOB_NAME" =~ (verify|merge|daily|weekly) ]]; then
+    JOB_TYPE=${BASH_REMATCH[0]}
+else
+    echo "Unable to determine job type!"
+    exit 1
+fi
+
+# do stuff differently based on the job type
+case "$JOB_TYPE" in
+    verify|daily)
+        #start the test
+        cd $WORKSPACE
+        ./ci/test_kvmfornfv.sh $JOB_TYPE
+        ;;
+    *)
+        echo "Test is not enabled for $JOB_TYPE jobs"
+        exit 1
+esac
index 4bb0a15..b6a55fe 100644 (file)
@@ -28,6 +28,7 @@
         - 'kvmfornfv-verify-{phase}-{stream}'
         - 'kvmfornfv-merge-{stream}'
         - 'kvmfornfv-daily-{stream}'
+        - 'kvmfornfv-daily-{phase}-{stream}'
 #####################################
 # job templates
 #####################################
          - timed: '@midnight'
 
     builders:
-        - shell:
-            !include-raw-escape: ./kvmfornfv-build.sh
-        - shell:
-            !include-raw-escape: ./kvmfornfv-upload-artifact.sh
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - multijob:
+            name: build
+            condition: SUCCESSFUL
+            projects:
+                - name: 'kvmfornfv-daily-build-{stream}'
+                  current-parameters: false
+                  node-parameters: false
+                  git-revision: true
+                  kill-phase-on: FAILURE
+                  abort-all-job: true
+        - multijob:
+            name: test
+            condition: SUCCESSFUL
+            projects:
+                - name: 'kvmfornfv-daily-test-{stream}'
+                  current-parameters: false
+                  node-parameters: false
+                  git-revision: true
+                  kill-phase-on: FAILURE
+                  abort-all-job: true
+
+
+- job-template:
+    name: 'kvmfornfv-daily-{phase}-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    scm:
+        - gerrit-trigger-scm:
+            credentials-id: '{ssh-credentials}'
+            refspec: ''
+            choosing-strategy: 'default'
+
+    wrappers:
+        - ssh-agent-credentials:
+            users:
+                - '{ssh-credentials}'
+        - timeout:
+            timeout: 360
+            fail: true
+    parameters:
+        - project-parameter:
+            project: '{project}'
+        - gerrit-parameter:
+            branch: '{branch}'
+        - '{slave-label}-defaults'
+        - 'kvmfornfv-defaults':
+            gs-pathname: '{gs-pathname}'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - '{project}-daily-{phase}-macro'
 #####################################
 # builder macros
 #####################################
             !include-raw: ./kvmfornfv-download-artifact.sh
         - shell:
             !include-raw: ./kvmfornfv-test.sh
+- builder:
+    name: 'kvmfornfv-daily-build-macro'
+    builders:
+        - shell:
+            !include-raw: ./kvmfornfv-build.sh
+        - shell:
+            !include-raw: ./kvmfornfv-upload-artifact.sh
+- builder:
+    name: 'kvmfornfv-daily-test-macro'
+    builders:
+        - shell:
+            !include-raw: ./kvmfornfv-download-artifact.sh
+        - shell:
+            !include-raw: ./kvmfornfv-test.sh
+
 #####################################
 # parameter macros
 #####################################
index c7ec6aa..b2f17c1 100644 (file)
             default: https://gerrit.opnfv.org/gerrit/$PROJECT
             description: 'Git URL to use on this Jenkins Slave'
 - parameter:
-    name: 'infra-virtual-defaults'
+    name: 'infra-virtual-trusty-defaults'
     parameters:
         - label:
             name: SLAVE_LABEL
-            default: 'infra-virtual'
+            default: 'infra-virtual-trusty'
         - string:
             name: GIT_BASE
             default: https://gerrit.opnfv.org/gerrit/$PROJECT
             name: GIT_BASE
             default: https://gerrit.opnfv.org/gerrit/$PROJECT
             description: 'Git URL to use on this Jenkins Slave'
+- parameter:
+    name: 'ool-virtual1-defaults'
+    parameters:
+        - node:
+            name: SLAVE_NAME
+            description: 'Slave name on Jenkins'
+            allowed-slaves:
+                - ool-virtual1
+            default-slaves:
+                - ool-virtual1
+        - string:
+            name: GIT_BASE
+            default: https://gerrit.opnfv.org/gerrit/$PROJECT
+            description: 'Git URL to use on this Jenkins Slave'
+        - string:
+            name: SSH_KEY
+            default: /root/.ssh/id_rsa
+            description: 'SSH key to be used'
 #####################################################
 # These slaves are just dummy slaves for sandbox jobs
 #####################################################
index ba548b3..b4dffdc 100644 (file)
     # NOTE(TheJulia): While the next step creates a ramdisk, some elements
     # do not support ramdisk-image-create as they invoke steps to cleanup
     # the ramdisk which causes ramdisk-image-create to believe it failed.
-    - { role: bifrost-create-dib-image, dib_imagename: "{{ http_boot_folder }}/ipa", build_ramdisk: false, dib_os_element: "{{ ipa_dib_os_element|default('debian') }}", dib_os_release: "jessie", dib_elements: "ironic-agent {{ ipa_extra_dib_elements | default('') }}", when: create_ipa_image | bool == true }
-    - { role: bifrost-create-dib-image, dib_imagetype: "qcow2", dib_imagename: "{{deploy_image}}", dib_os_element: "ubuntu-minimal", dib_os_release: "trusty", dib_elements: "vm serial-console simple-init devuser infra-cloud-bridge puppet growroot {{ extra_dib_elements|default('') }}", dib_packages: "openssh-server,vlan,vim,less,bridge-utils,language-pack-en,iputils-ping,rsyslog,curl", when: create_image_via_dib | bool == true and transform_boot_image | bool == false }
+    - role: bifrost-create-dib-image
+      dib_imagename: "{{ http_boot_folder }}/ipa"
+      build_ramdisk: false
+      dib_os_element: "{{ ipa_dib_os_element|default('debian') }}"
+      dib_os_release: "jessie"
+      dib_elements: "ironic-agent {{ ipa_extra_dib_elements | default('') }}"
+      when: create_ipa_image | bool == true
+    - role: bifrost-create-dib-image
+      dib_imagetype: "qcow2"
+      dib_imagename: "{{deploy_image}}"
+      dib_os_element: "{{ lookup('env','DIB_OS_ELEMENT') }}"
+      dib_os_release: "{{ lookup('env', 'DIB_OS_RELEASE') }}"
+      dib_elements: "vm serial-console simple-init devuser infra-cloud-bridge puppet growroot {{ extra_dib_elements|default('') }}"
+      dib_packages: "{{ lookup('env', 'DIB_OS_PACKAGES') }}"
+      when: create_image_via_dib | bool == true and transform_boot_image | bool == false
   environment:
     http_proxy: "{{ lookup('env','http_proxy') }}"
     https_proxy: "{{ lookup('env','https_proxy') }}"
index 4dffee6..f092a65 100755 (executable)
@@ -27,6 +27,8 @@ echo "removing logs"
 rm -rf /var/log/libvirt/baremetal_logs/*.log
 
 # clean up dib images only if requested explicitly
+CLEAN_DIB_IMAGES=${CLEAN_DIB_IMAGES:-false}
+
 if [ $CLEAN_DIB_IMAGES = "true" ]; then
     rm -rf /httpboot/*
     rm -rf /tftpboot/*
index d796f35..fb49afc 100755 (executable)
@@ -57,6 +57,13 @@ export ELEMENTS_PATH=/usr/share/diskimage-builder/elements:/opt/puppet-infraclou
 export DIB_DEV_USER_PWDLESS_SUDO=yes
 export DIB_DEV_USER_PASSWORD=devuser
 
+# settings for distro: trusty/ubuntu-minimal, 7/centos-minimal
+export DIB_OS_RELEASE=${DIB_OS_RELEASE:-trusty}
+export DIB_OS_ELEMENT=${DIB_OS_ELEMENT:-ubuntu-minimal}
+
+# for centos 7: "openssh-server,vim,less,bridge-utils,iputils,rsyslog,curl"
+export DIB_OS_PACKAGES=${DIB_OS_PACKAGES:-"openssh-server,vlan,vim,less,bridge-utils,language-pack-en,iputils-ping,rsyslog,curl"}
+
 # Source Ansible
 # NOTE(TheJulia): Ansible stable-1.9 source method tosses an error deep
 # under the hood which -x will detect, so for this step, we need to suspend
index 7c943d8..e9e167d 100755 (executable)
@@ -195,7 +195,7 @@ for version in conf.versions:
             logger.info("--------------------------")
 
         templateLoader = jinja2.FileSystemLoader(conf.REPORTING_PATH)
-        templateEnv = jinja2.Environment(loader=templateLoader)
+        templateEnv = jinja2.Environment(loader=templateLoader, autoescape=True)
 
         TEMPLATE_FILE = "/template/index-status-tmpl.html"
         template = templateEnv.get_template(TEMPLATE_FILE)
index 0dc1dd3..363f123 100755 (executable)
@@ -28,7 +28,7 @@ logger.info("success rate > %s " % criteria_success_rate)
 for version in conf.versions:
     for installer in conf.installers:
         # we consider the Tempest results of the last PERIOD days
-        url = conf.URL_BASE + "?case=tempest_smoke_serial"
+        url = 'http://' + conf.URL_BASE + "?case=tempest_smoke_serial"
         request = Request(url + '&period=' + str(PERIOD) +
                           '&installer=' + installer +
                           '&version=' + version)
@@ -116,7 +116,7 @@ for version in conf.versions:
                     logger.error("Error field not present (Brahamputra runs?)")
 
         templateLoader = jinja2.FileSystemLoader(conf.REPORTING_PATH)
-        templateEnv = jinja2.Environment(loader=templateLoader)
+        templateEnv = jinja2.Environment(loader=templateLoader, autoescape=True)
 
         TEMPLATE_FILE = "/template/index-tempest-tmpl.html"
         template = templateEnv.get_template(TEMPLATE_FILE)
index a83d92f..430a545 100755 (executable)
@@ -39,7 +39,7 @@ for version in conf.versions:
     for installer in installers:
         logger.info("Search vIMS results for installer: %s, version: %s"
                     % (installer, version))
-        request = Request(conf.URL_BASE + '?case=vims&installer=' +
+        request = Request("http://" + conf.URL_BASE + '?case=vims&installer=' +
                           installer + '&version=' + version)
 
         try:
@@ -102,7 +102,7 @@ for version in conf.versions:
                 logger.debug("----------------------------------------")
 
         templateLoader = jinja2.FileSystemLoader(conf.REPORTING_PATH)
-        templateEnv = jinja2.Environment(loader=templateLoader)
+        templateEnv = jinja2.Environment(loader=templateLoader, autoescape=True)
 
         TEMPLATE_FILE = "/template/index-vims-tmpl.html"
         template = templateEnv.get_template(TEMPLATE_FILE)
index 9230cb2..b0e4cf7 100644 (file)
@@ -21,7 +21,7 @@ MAX_SCENARIO_CRITERIA = 50
 NB_TESTS = 5
 # REPORTING_PATH = "/usr/share/nginx/html/reporting/functest"
 REPORTING_PATH = "."
-URL_BASE = 'http://testresults.opnfv.org/test/api/v1/results'
+URL_BASE = 'testresults.opnfv.org/test/api/v1/results'
 TEST_CONF = "https://git.opnfv.org/cgit/functest/plain/ci/testcases.yaml"
 LOG_LEVEL = "ERROR"
 LOG_FILE = REPORTING_PATH + "/reporting.log"
index 5051ffa..f026204 100644 (file)
@@ -37,7 +37,7 @@ def getApiResults(case, installer, scenario, version):
     # urllib2.install_opener(opener)
     # url = "http://127.0.0.1:8000/results?case=" + case + \
     #       "&period=30&installer=" + installer
-    url = (conf.URL_BASE + "?case=" + case +
+    url = ("http://" + conf.URL_BASE + "?case=" + case +
            "&period=" + str(conf.PERIOD) + "&installer=" + installer +
            "&scenario=" + scenario + "&version=" + version +
            "&last=" + str(conf.NB_TESTS))
@@ -56,7 +56,7 @@ def getApiResults(case, installer, scenario, version):
 def getScenarios(case, installer, version):
 
     case = case.getName()
-    url = (conf.URL_BASE + "?case=" + case +
+    url = ("http://" + conf.URL_BASE + "?case=" + case +
            "&period=" + str(conf.PERIOD) + "&installer=" + installer +
            "&version=" + version)
     request = Request(url)
index ed5dab0..546bf08 100644 (file)
@@ -59,7 +59,7 @@ for version in conf.versions:
             logger.info("--------------------------")
 
         templateLoader = jinja2.FileSystemLoader(conf.REPORTING_PATH)
-        templateEnv = jinja2.Environment(loader=templateLoader)
+        templateEnv = jinja2.Environment(loader=templateLoader, autoescape=True)
 
         TEMPLATE_FILE = "/template/index-status-tmpl.html"
         template = templateEnv.get_template(TEMPLATE_FILE)
index 9e34034..447b428 100644 (file)
@@ -11,7 +11,7 @@
 # ****************************************************
 installers = ["apex", "compass", "fuel", "joid"]
 
-versions = ["master", "stable/colorado"]
+versions = ["master", "colorado"]
 
 # get data in the past 7 days
 PERIOD = 7